geos::noding::SegmentPointComparator Class Reference

Implements a robust method of comparing the relative position of two points along the same segment. More...

`#include <SegmentPointComparator.h>`

## Static Public Member Functions

static int | compare (int octant, const geom::Coordinate &p0, const geom::Coordinate &p1)
| Compares two Coordinates for their relative position along a segment lying in the specified Octant.
static int | relativeSign (double x0, double x1)
static int | compareValue (int compareSign0, int compareSign1)

## Detailed Description

Implements a robust method of comparing the relative position of two points along the same segment.

The coordinates are assumed to lie "near" the segment. This means that this algorithm will only return correct results if the input coordinates have the same precision and correspond to rounded values of exact coordinates lying on the segment.

## Member Function Documentation

## compare()

int geos::noding::SegmentPointComparator::compare | ( | int | octant,
|  | const geom::Coordinate & | p0,
|  | const geom::Coordinate & | p1 )

inline static

Compares two Coordinates for their relative position along a segment lying in the specified Octant.

Returns
  -1 node0 occurs first
  0 the two nodes are equal
  1 node1 occurs first

Referenced by geos::noding::SegmentNode::compareTo().

The documentation for this class was generated from the following file:

- SegmentPointComparator.h